package com.huimv.guowei.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.BaseBuilding;
import com.huimv.guowei.admin.entity.dto.BasePigpenDto;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
public interface IBaseBuildingService extends IService<BaseBuilding> {

    Result list(String farmCode, String buildName, String stageCode);

    Result addPigpen(BasePigpenDto basePigpenDto);

    Result updatePigpen(BaseBuilding baseBuilding);

    Result deletePigpen(Map<String, Integer> map);
}
